#!/bin/sh

echo "RGW update."

rm -rf /var/tmp/VERSION

diff -q /mntetc/VERSION - << EOF>/dev/null
RGW Ver.1.4.4
EOF
case $? in
0)
	echo -n "Version is OK!!! "; cat /mntetc/VERSION
	echo "RGW Ver.1.4.6">/var/tmp/VERSION
        ;;
1)
	diff -q /mntetc/VERSION - << EOF>/dev/null
NCL Ver.1.4.4
EOF
	case $? in
	0)
	 	echo -n "Version is OK!!! "; cat /mntetc/VERSION
		echo "NCL Ver.1.4.6">/var/tmp/VERSION
	        ;;
	1)
	        ;;
	*)
	        echo "unknown error"
	        exit 2
        esac
        ;;
*)
    echo "unknown error"
    exit 2
esac

diff -q /mntetc/VERSION - << EOF>/dev/null
RGW Ver.1.4.5
EOF
case $? in
0)
	echo -n "Version is OK!!! "; cat /mntetc/VERSION
	echo "RGW Ver.1.4.6">/var/tmp/VERSION
        ;;
1)
	diff -q /mntetc/VERSION - << EOF>/dev/null
NCL Ver.1.4.5
EOF
	case $? in
	0)
	    	echo -n "Version is OK!!! "; cat /mntetc/VERSION
		echo "NCL Ver.1.4.6">/var/tmp/VERSION
	        ;;
	1)
	       ;;
	*)
	    echo "unknown error"
	    exit 2
    esac
       ;;
*)
    echo "unknown error"
    exit 2
esac

if !([ -f /var/tmp/VERSION ]); then
	    	echo -n "RGW Version Unmatch. "; cat /mntetc/VERSION
	    	exit 1
fi
/sbin/mount -u /
/sbin/mount -u /mntetc

tar -C / -zxvpf /var/tmp/update.tgz
sync
rm -f /sbin/setup
mv /sbin/setup.new /sbin/setup
chmod +s /sbin/setup
cp /var/tmp/VERSION /mntetc/VERSION
sync
/sbin/mount -u -r /mntetc
mount -u -r /

if [ -f /etc/rgw.setup ]; then
	/sbin/setup -F -c save
fi

echo "rebooting..."
reboot
